跳至主要内容

此浏览器不再受支持。

请升级到 Microsoft Edge 以使用最新的功能、安全更新和技术支持。

下载 Microsoft Edge 有关 Internet Explorer 和 Microsoft Edge 的详细信息
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

路径参数

agent_name string 必需

The name of the agent to create a session for.

查询参数

api-version string 必需

The API version to use for this operation.

请求正文

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref 必需

Version indicator determining which agent version backs the session.

下列类型作之一:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum 必需

Discriminator value for version_ref.

version_ref
agent_version string 必需

The agent version identifier returned by the agent version APIs.

响应

The request has succeeded and a new resource has been created as a result.

正文

Content-Type: application/json
agent_session_id string 必需

The session identifier.

version_indicator version_ref 必需

Version indicator determining which agent version backs the session.

下列类型作之一:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum 必需

Discriminator value for version_ref.

version_ref
agent_version string 必需

The agent version identifier returned by the agent version APIs.

status string | enum 必需

The status of an agent session.

以下任何项:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer 必需

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer 必需

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer 必需

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

请求

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

响应

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-cn
你的隐私选择
  • AI 免责声明
  • 早期版本
  • 博客
  • 参与
  • 隐私
  • 消费者健康隐私
  • 使用条款
  • 商标
  • © Microsoft 2026